﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewCustomDragDropBehaviorWPF
{
    public class CustomDragDropBehavior: Telerik.Windows.Controls.ScheduleViewDragDropBehavior
    {
        public override IEnumerable<IOccurrence> CoerceDraggedItems(DragDropState state)
        {
            var resource = (state.Appointment as Appointment).Resources.First();
            var allAppointments = state.SourceAppointmentsSource.Cast<IOccurrence>();
            var desiredAppointments = allAppointments.Where(a => (a as Appointment).Resources.Any(r => r == resource));

            return desiredAppointments;
        }

        public override void DragDropCompleted(DragDropState state)
        {
            var draggedAppointments = state.DraggedAppointments;
            MessageBox.Show("Dragged Appointments Count: " + draggedAppointments.Count().ToString());

            base.DragDropCompleted(state);
        }
    }
}
